Subject: bug#44961: 28.0.50; [feature/pgtk] frame-position returns incorrect information

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Feb 2022 15:07:39 +0100

Robert Pluim <[email-masked]> writes:

> This is under Gnome Shell on Debian 10, which I think uses mutter as a
> window manager:
>
> ./emacs -Q # The frame is near the top-left, I move it to the right
> bottom quadrant
> (pgtk-backend-display-class) => "GdkWaylandDisplay"
> (frame-position) => (0 . 0)
>
> GDK_BACKEND=x11 ./emacs -Q
> (pgtk-backend-display-class) => "GdkX11Display"
> (frame-position) => (0 . 0)
>
> ./emacs -Q # emacs master branch
> (frame-position) => (2136 . 549)

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I tried this on the current master with  --with-pgtk, and
(frame-position) seems to report the correct results for me on
Debian/bookworm under Gnome shell (with X).

Are you still seeing this problem on the current trunk?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no